<template>
    <Layout>
        <PageHeader :breadcrumbs="$page.entry.breadcrumbs">
            <template v-slot:title>
                {{ $page.entry.title }}
            </template>

            <template v-slot:subtitle>
                {{ $page.entry.subtitle }}
            </template>
        </PageHeader>

        <div class="container text-left mx-auto">
            <div class="flex flex-wrap lg:flex-row-reverse py-12">
                <div v-if="$page.entry.sidebar === true" class="w-full lg:w-1/4 px-5">
                    <PageSidebar :record="$page.entry" />
                </div>

                <div class="w-full px-5 prose lg:prose-xl max-w-none centered-image" :class="{ 'lg:w-3/4': $page.entry.sidebar === true }">
                    <div class="content" v-html="$page.entry.content" />
                </div>
            </div>
        </div>
    </Layout>
</template>

<page-query>
    query ($id: ID!) {
        entry: customPage(id: $id) {
            title
            subtitle
            content
            sidebar
            breadcrumbs {
                label
                url
            }
            headings {
                depth
                value
                anchor
            }
        }
    }
</page-query>

<script>
    import PageHeader from '~/components/PageHeader';
    import PageSidebar from '~/components/PageSidebar';

    export default {
        components: {
            PageHeader,
            PageSidebar,
        },
        metaInfo() {
            return this.$seo({
                title: this.$page.entry.title,
                description: this.$page.entry.content.substring(0, 160) + '...',
            });
        },
    };
</script>
<style lang="scss">
.centered-image {
    img {
        margin-left: auto;
        margin-right: auto;
    }
}
</style>
